> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saleleads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Company Affiliated Pages

> Get Company Affiliated Pages



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/company/affiliated-pages
openapi: 3.1.0
info:
  title: Linkedin Scraper API
  description: Linkedin Scraper API Documentation
  version: 1.0.0
servers:
  - url: https://fresh-linkedin-scraper-api.p.rapidapi.com
    description: RapiAPI
security: []
paths:
  /api/v1/company/affiliated-pages:
    get:
      tags:
        - Company
      summary: Get Company Affiliated Pages
      description: Get Company Affiliated Pages
      operationId: getApiV1CompanyAffiliated-pages
      parameters:
        - in: query
          name: company_id
          schema:
            type: string
            pattern: ^\d+$
            description: Company ID
            example: '1441'
        - in: query
          name: company
          schema:
            type: string
            description: >-
              Company name. Enabling this option will consume an additional 1
              request.
            example: google
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  cost:
                    type: number
                    description: Cost of the request
                    example: 1
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Company ID
                          example: '791962'
                        name:
                          type: string
                          description: Company Name
                          example: Adometry (acquired by Google)
                        universal_name:
                          type: string
                          description: Company Universal Name
                          example: adometry
                        linkedin_url:
                          type: string
                          description: Company LinkedIn URL
                          example: https://www.linkedin.com/company/adometry
                        type:
                          type: string
                          description: Company Type
                          example: Subsidiary
                        speciality:
                          type: string
                          description: Company Speciality
                          example: Advertising Services
                        follower_count:
                          type: number
                          description: Company Follower Count
                          example: 19126
                        logo:
                          type: array
                          items:
                            type: object
                            properties:
                              width:
                                type: number
                                description: Logo width
                                example: 400
                              height:
                                type: number
                                description: Logo height
                                example: 400
                              url:
                                type: string
                                description: Logo URL
                                example: >-
                                  https://media.licdn.com/dms/image/v2/D4E0BAQHjelLY2a-Mnw/company-logo_400_400/company-logo_400_400/0/1666083635765?e=1748476800&v=beta&t=V_T_yXL6Bs2HDEY-iZAKSkNype7_-7USjP2HIXo0Zv8
                              expires_at:
                                type: number
                                description: Logo expires at
                                example: 1748476800000
                          description: Company Logo
                    description: Company Affiliated Pages
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
                  cost:
                    type: number
                    example: 0
                  explain:
                    type: string
                    example: >-
                      Oops, it looks like there was an issue processing your
                      request. Don't worry, you won't be charged for this
                      request. If you need any help, don't hesitate to contact
                      us via email hello@saleleads.ai or telegram
                      https://t.me/saleleads
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: Rapid API Key

````